org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange

## Class LateFtInterceptor

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.interceptor.ftPriorityChange.LateFtInterceptor

    @Interceptor
     @Priority(value=3900)
    public class LateFtInterceptor
    extends Object

An interceptor that is called after the FT interceptor in the chain and count the invocation.

Author:
  carlosdlr

### Nested Class Summary

Nested Classes
`static interface` `LateFtInterceptor.InterceptLate` Interceptor binding for `LateFtInterceptor`

### Constructor Summary

Constructors
Constructor and Description
`LateFtInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `intercept(javax.interceptor.InvocationContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LateFtInterceptor

    public LateFtInterceptor()

### Method Detail

#### intercept

    public Object intercept(javax.interceptor.InvocationContext ctx)
                     throws Exception

Throws:
  `Exception`